Bug 1029500 - Unable to rename a business process properly in JBoss BRMS UI
Unable to rename a business process properly in JBoss BRMS UI
Status: MODIFIED
Product: JBoss Enterprise BRMS Platform 5
Classification: JBoss
Component: BRM (Guvnor) (Show other bugs)
BRMS 5.3.1
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Tihomir Surdilovic
Lukáš Petrovický
:
Depends On:
Blocks: 1029502
  Show dependency treegraph
 
Reported: 2013-11-12 08:52 EST by Amana
Modified: 2013-11-21 15:09 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1029502 (view as bug list)
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Bugzilla 1029502 None None None Never
Red Hat Knowledge Base (Solution) 539083 None None None Never

  None (edit)
Description Amana 2013-11-12 08:52:24 EST
Description of problem:

After updating the `Process Name` for a Business Process through process designer, it is not possible to view the change under `Assets` tab for that package. In a nutshell, the process name is updated in process designer, but the old name is still seen under `package -> assets -> processes`.

Version-Release number of selected component (if applicable):

BRMS 5.3.1 and 6

How reproducible:

Always


Steps to Reproduce:
1) create a new valid business process named "test1"
2) save test1
3) change process name to "test2" going to "Process designer -> Properties"
4) save test2
5) open up package view and its assets tab

Actual results:

list shows "test1" as process name even though it is "test2" in the process designer - as it should be

Expected results:

it should list "test2" as process name once it has been changed.

Additional info:

Reproducible on brms5.3.1 and 6.
Comment 1 manstis 2013-11-20 05:49:55 EST
I suspect when a process name is changed in "Process designer->Properties" you might need to rename the underlying asset too.. You might need to be clever about how "Process designer->Properties" allows renaming should the new name already exist.
Comment 2 Tihomir Surdilovic 2013-11-21 15:09:49 EST
The process name property you can think of more like the title of your work document than the actual file name of your document stored on the file system (the asset name). Changing the process name property does not trigger a rename of the asset. IF you would like to rename the asset use the Rename option under the Save menu in the Designer toolbar.

Note You need to log in before you can comment on or make changes to this bug.